# Generated by Django 5.0.6 on 2024-05-29 10:47

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('residents_data', '0023_electricitymeter'),
    ]

    operations = [
        migrations.AddField(
            model_name='flat',
            name='automat10',
            field=models.BooleanField(default=False, verbose_name='Автомат 10'),
        ),
        migrations.AddField(
            model_name='flat',
            name='automat50',
            field=models.BooleanField(default=False, verbose_name='Автомат 50'),
        ),
        migrations.AddField(
            model_name='flat',
            name='removing_date_for_automat10',
            field=models.DateField(null=True, verbose_name='Дата зняття'),
        ),
        migrations.AddField(
            model_name='flat',
            name='set_up_date_for_automat10',
            field=models.DateField(null=True, verbose_name='Дата встановлення'),
        ),
        migrations.CreateModel(
            name='Meter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('electricity_number', models.IntegerField(verbose_name='Ел/лічильник №')),
                ('electro_date_reading', models.DateField(null=True, verbose_name='Дата зняття показів')),
                ('water_number', models.IntegerField(verbose_name='Водомір №')),
                ('water_date_reading', models.DateField(null=True, verbose_name='Дата зняття показів')),
                ('heat_number', models.FloatField(verbose_name='Теплолічильник №')),
                ('heat_date_reading', models.DateField(null=True, verbose_name='Дата зняття показів')),
                ('flat', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='flat', to='residents_data.flat')),
            ],
            options={
                'verbose_name': 'Лічильник',
                'verbose_name_plural': 'Лічильники',
            },
        ),
        migrations.DeleteModel(
            name='ElectricityMeter',
        ),
    ]
